List describe jobs for a segmentation
curl --request GET \
--url https://api.cloudglue.dev/v1/segmentations/{segmentation_id}/describes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/segmentations/{segmentation_id}/describes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/segmentations/{segmentation_id}/describes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"job_id": "<string>",
"url": "<string>",
"duration_seconds": 123,
"thumbnail_url": "<string>",
"created_at": 123,
"describe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_visual_scene_description": true,
"enable_scene_text": true,
"enable_audio_description": true,
"participants": [
{
"name": "<string>",
"scope": "<string>"
}
]
},
"use_in_default_index": true,
"data": {
"content": "<string>",
"title": "<string>",
"summary": "<string>",
"segment_summary": [
{
"title": "<string>",
"summary": "<string>",
"start_time": 123,
"end_time": 123,
"thumbnail_url": "<string>"
}
],
"visual_scene_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"scene_text": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
],
"speech": [
{
"speaker": "<string>",
"text": "<string>",
"start_time": 123,
"end_time": 123,
"words": [
{
"word": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
],
"audio_description": [
{
"text": "<string>",
"start_time": 123,
"end_time": 123
}
]
},
"error": "<string>",
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chapters": [
{
"index": 1,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
],
"shots": [
{
"index": 1,
"start_time": 1,
"end_time": 1
}
],
"total_chapters": 1,
"total_shots": 1
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Segmentation
List Segmentation Describes
List all describe jobs that referenced the specified segmentation. Returns describe job records associated with the segmentation.
GET
/
segmentations
/
{segmentation_id}
/
describes
List describe jobs for a segmentation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the segmentation job
Query Parameters
Include the describe data in the response. If false, only job information is returned. Defaults to false.
Output format for the describe data
Available options:
json, markdown Number of items to return
Required range:
1 <= x <= 100Offset from the start of the list
Required range:
x >= 0Response
List of describe outputs for the segmentation
Object type, always 'list'
Available options:
list Array of describe job objects
Show child attributes
Show child attributes
Total number of describe jobs matching the query
Number of items returned in this response
Offset from the start of the list
⌘I